DROP DATABASE IF EXISTS `fahrradDB2`;
CREATE DATABASE IF NOT EXISTS `fahrradDB2`
CHARACTER SET utf8 COLLATE utf8_general_ci;
USE `fahrradDB2`;

CREATE TABLE Kunde (
  kdnr VARCHAR(20) NOT NULL,
  name VARCHAR(45) NULL,
  stadt VARCHAR(45) NULL,
  land VARCHAR(45) NULL,
  telefonnummer VARCHAR(45) NULL,
  bankverbindung VARCHAR(255) NULL,
  strasse VARCHAR(45) NULL,
  gebdat DATE NULL,
  PRIMARY KEY(kdnr)
)
ENGINE=InnoDB
CHARACTER SET utf8 COLLATE utf8_general_ci;

CREATE TABLE Auftrag (
  auftragsnr VARCHAR(20) NOT NULL,
  Kunde_kdnr VARCHAR(20) NOT NULL,
  von DATE NULL,
  bis DATE NULL,
  PRIMARY KEY(auftragsnr),
  FOREIGN KEY(Kunde_kdnr)
    REFERENCES Kunde(kdnr)
      ON DELETE NO ACTION
      ON UPDATE NO ACTION
)
ENGINE=InnoDB
CHARACTER SET utf8 COLLATE utf8_general_ci;

CREATE TABLE Fahrrad (
  fahrradnr VARCHAR(20) NOT NULL,
  Kunde_kdnr VARCHAR(20) NOT NULL,
  Auftrag_auftragsnr VARCHAR(20) NOT NULL,
  marke VARCHAR(20) NULL,
  PRIMARY KEY(fahrradnr),
  FOREIGN KEY(Auftrag_auftragsnr)
    REFERENCES Auftrag(auftragsnr)
      ON DELETE NO ACTION
      ON UPDATE NO ACTION,
  FOREIGN KEY(Kunde_kdnr)
    REFERENCES Kunde(kdnr)
      ON DELETE NO ACTION
      ON UPDATE NO ACTION
)
ENGINE=InnoDB
CHARACTER SET utf8 COLLATE utf8_general_ci;


